---
title: SpeechRecognitionErrorEvent
slug: Web/API/SpeechRecognitionErrorEvent
---
<p>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>SpeechRecognitionErrorEvent</code></strong> interface of the <a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a> represents error messages from the recognition service.</p>

<h2 id="Properties">Properties</h2>

<p><em><code>SpeechRecognitionErrorEvent</code> also inherits properties from its parent interface, {{domxref("Event")}}.</em></p>

<dl>
 <dt>{{domxref("SpeechRecognitionErrorEvent.error")}} {{readonlyinline}}</dt>
 <dd>Returns the type of error raised.</dd>
 <dt>{{domxref("SpeechRecognitionErrorEvent.message")}} {{readonlyinline}}</dt>
 <dd>Returns a message describing the error in more detail.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var recognition = new SpeechRecognition();

recognition.onerror = function(event) {
  console.log('Speech recognition error detected: ' + event.error);
  console.log('Additional information: ' + event.message);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Speech API', '#speechrecognitionerrorevent', 'SpeechRecognitionErrorEvent')}}</td>
   <td>{{Spec2('Web Speech API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SpeechRecognitionErrorEvent")}}</p>
</div>

<h3 id="Firefox_OS_permissions">Firefox OS permissions</h3>

<p>To use speech recognition in an app, you need to specify the following permissions in your <a href="/en-US/docs/Web/Apps/Build/Manifest">manifest</a>:</p>

<pre class="brush: json">"permissions": {
  "audio-capture" : {
    "description" : "Audio capture"
  },
  "speech-recognition" : {
    "description" : "Speech recognition"
  }
}</pre>

<p>You also need a privileged app, so you need to include this as well:</p>

<pre class="brush: json">  "type": "privileged"</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
